| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::Filter Class Reference
Utililty classes

The Filter class provides a base class to be used by specialized filters such as GenericCapabilityFilter, GenericPropertyFilter, etc. More...

`#include <TelepathyQt/Filter>`

Inherits Tp::RefCounted.

List of all members.

## Public Member Functions

- virtual ~Filter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const

## Protected Member Functions

- Filter ()

## Detailed Description

The Filter class provides a base class to be used by specialized filters such as GenericCapabilityFilter, GenericPropertyFilter, etc.

## Constructor & Destructor Documentation

virtual Tp::Filter::~Filter | ( |  | ) | `[inline, virtual]`

Tp::Filter::Filter | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual bool Tp::Filter::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented in Tp::GenericCapabilityFilter, Tp::AndFilter, Tp::NotFilter, Tp::OrFilter, and Tp::GenericPropertyFilter.

virtual bool Tp::Filter::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented in Tp::AndFilter, Tp::OrFilter, Tp::NotFilter, Tp::GenericCapabilityFilter, and Tp::GenericPropertyFilter.